Skip to main content
POST
/
v1
/
wallets
/
{id}
/
deposit
Deposit funds into this wallet
curl --request POST \
  --url https://api.getsly.ai/v1/v1/wallets/{id}/deposit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": "<string>",
  "currency": "<string>",
  "idempotency_key": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_type": "account",
    "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "currency": "<string>",
    "balance_available": "<string>",
    "balance_pending": "<string>",
    "status": "active",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "network": "<string>",
    "address": "<string>",
    "name": "<string>",
    "metadata": {},
    "frozen_at": "2023-11-07T05:31:56Z",
    "frozen_reason": "<string>"
  },
  "transfer_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Path Parameters

id
string<uuid>
required

Body

application/json
source_wallet_id
string<uuid>
required
amount
string
required
currency
string
idempotency_key
string

Response

Deposited

data
object
required
transfer_id
string
required